org.apache.cassandra.index.sasi.disk

## Class AbstractTokenTreeBuilder.Leaf.SimpleLeafEntry

- java.lang.Object
- - org.apache.cassandra.index.sasi.disk.AbstractTokenTreeBuilder.Leaf.LeafEntry
  - - org.apache.cassandra.index.sasi.disk.AbstractTokenTreeBuilder.Leaf.SimpleLeafEntry

Enclosing class:
  AbstractTokenTreeBuilder.Leaf

    protected class AbstractTokenTreeBuilder.Leaf.SimpleLeafEntry
    extends AbstractTokenTreeBuilder.Leaf.LeafEntry

### Field Summary

### Fields inherited from class org.apache.cassandra.index.sasi.disk.AbstractTokenTreeBuilder.Leaf.LeafEntry

`token`

### Constructor Summary

Constructors
Constructor and Description
`SimpleLeafEntry(long tok, long off)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `offsetData()`
`short` `offsetExtra()`
`TokenTreeBuilder.EntryType` `type()`

### Methods inherited from class org.apache.cassandra.index.sasi.disk.AbstractTokenTreeBuilder.Leaf.LeafEntry

`serialize`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SimpleLeafEntry

    public SimpleLeafEntry(long tok,
                           long off)

### Method Detail

#### type

    public TokenTreeBuilder.EntryType type()

Specified by:
  `type` in class `AbstractTokenTreeBuilder.Leaf.LeafEntry`

#### offsetData

    public int offsetData()

Specified by:
  `offsetData` in class `AbstractTokenTreeBuilder.Leaf.LeafEntry`

#### offsetExtra

    public short offsetExtra()

Specified by:
  `offsetExtra` in class `AbstractTokenTreeBuilder.Leaf.LeafEntry`